package com.ym.mec.common.filters;

public class TenantIdThreadLocal {
    private static final ThreadLocal<Integer> threadLocal = new ThreadLocal<Integer>() {
        @Override
        protected Integer initialValue() {
            return null;
        }
    };

    public static Integer get(){
        return threadLocal.get();
    }

    public static void set(Integer tenantId){
        threadLocal.set(tenantId);
    }

    public static void remove(){
        threadLocal.remove();
    }
}
